%% color
enum Color = {red,yellow,bleu,green};

%% number of color by cube
int :n_red_cube_1;
int :n_yellow_cube_1;
int :n_blue_cube_1;
int :n_green_cube_1;

int : n_red_cube_2;
int : n_yellow_cube_2;
int :n_blue_cube_2;
int :n_green_cube_2;

int :n_red_cube_3;
int :n_yellow_cube_3;
int :n_blue_cube_3;
int :n_green_cube_3;

int :n_red_cube_4;
int :n_yellow_cube_4;
int :n_blue_cube_4;
int :n_green_cube_4;
%% cube properties
set of int :n_cube;
set of int : n_face_prisme;
set of int : n_face;